/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: eventDescr.cpp,v 1.3 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueEventDescr *eventDescr)
{
  wxTreeItemId leaf = addItem (parent, "EventDescr",
			       eventDescr->EventDescrName(), eventDescr);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueEventDescr *eventDescr)
{
  RescueExplorerPairs pairs;
  pairs.add ("EventDescrName", eventDescr->EventDescrName());
  updateList (pairs);
}
