/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: trimVertex.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueTrimVertex *trimVertex)
{
  wxTreeItemId leaf = addItem (parent, "TrimVertex",
			       wxEmptyString, trimVertex);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueTrimVertex *trimVertex)
{
  RescueExplorerPairs pairs;
  updateList (pairs);
}

