// -*-C++-*-
/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: PropertyListCtrl.h,v 1.4 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef __PROPERTYLISTCTRL_H__
#define __PROPERTYLISTCTRL_H__

#include "treelistctrl.h"

#include "RescueExplorerPairs.h"

class PropertyListCtrl: public wxTreeListCtrl {

  DECLARE_DYNAMIC_CLASS(PropertyListCtrl)

public:

  //! Default constructor required for wx RTTI system
  PropertyListCtrl () {;}

  PropertyListCtrl (wxWindow* parent, wxWindowID id,
		    const wxPoint& pos = wxDefaultPosition,
		    const wxSize& size = wxDefaultSize);

  void update (RescueExplorerPairs &pairs);

private:

  void OnSize (wxSizeEvent &event);

  wxPanel *m_panel;

  RescueExplorerPairs m_pairs;

  DECLARE_EVENT_TABLE()
};

#endif // __PROPERTYLISTCTRL_H__
