/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: edgeSet.cpp,v 1.3 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueEdgeSet *edgeSet)
{
  wxTreeItemId leaf = addItem (parent, "EdgeSet", wxEmptyString, edgeSet);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueEdgeSet *edgeSet)
{
  RescueExplorerPairs pairs;
  pairs.add ("CountOfBoundaryLoop", edgeSet->CountOfBoundaryLoop());
  pairs.add ("CountOfInteriorLoop", edgeSet->CountOfInteriorLoop());
  updateList (pairs);
}

