/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: faultIntersection.cpp,v 1.3 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueFaultIntersection.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueFaultIntersection *faultIntersection)
{
  wxTreeItemId leaf = addItem (parent, "FaultIntersection",
			       wxEmptyString, faultIntersection);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueFaultIntersection
					 *faultIntersection)
{
  RescueExplorerPairs pairs;
  updateList (pairs);
}

