
#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueGeobody.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueGeobody *geobody)
{
  wxTreeItemId leaf = addItem (parent, "Geobody",
			       geobody->BodyName(), geobody);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueGeobody *geobody)
{
  RescueExplorerPairs pairs;
  pairs.add ("BodyName", geobody->BodyName());
  updateList (pairs);
}
