/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: history.cpp,v 1.3 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueHistory.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueHistory *history)
{
  wxTreeItemId leaf = addItem (parent, "History", wxEmptyString, history);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueHistory *history)
{
  RescueExplorerPairs pairs;
  pairs.add ("ChangeDescription", history->ChangeDescription());
  pairs.add ("ParsableDescription", history->ParsableDescription());
  pairs.add ("TimeStamp", history->TimeStamp());
  updateList (pairs);
}
