/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: polyLine.cpp,v 1.3 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescuePolyLine *polyLine)
{
  wxTreeItemId leaf = addItem (parent, "PolyLine", wxEmptyString, polyLine);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescuePolyLine *polyLine)
{
  RescueExplorerPairs pairs;
  pairs.add ("InnerNodeCount", polyLine->InnerNodeCount());
  updateList (pairs);
}

