/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: reservoir.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueReservoir.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueReservoir *reservoir)
{
  wxTreeItemId leaf = addItem (parent, "Reservoir",
			       reservoir->ReservoirName(), reservoir);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueReservoir *reservoir)
{
  RescueExplorerPairs pairs;
  pairs.add ("ReservoirName", reservoir->ReservoirName());
  updateList (pairs);
}

