/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: trimLoop.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueTrimLoop *trimLoop)
{
  wxTreeItemId leaf = addItem (parent, "TrimLoop", wxEmptyString, trimLoop);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueTrimLoop *trimLoop)
{
  RescueExplorerPairs pairs;
  pairs.add ("LoopClass", trimLoop->LoopClass());
  pairs.add ("FaceHint", trimLoop->FaceHint());
  pairs.add ("CountOfLoopEdge", trimLoop->CountOfLoopEdge());
  updateList (pairs);
}
