/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2007, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: wellboreSampling.cpp,v 1.1 2007/06/08 16:45:23 carl Exp $
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueWellboreSampling *wbs)
{
  wxTreeItemId leaf = addItem (parent, "WellboreSampling",
			       wxEmptyString, wbs);

  for (int i=0; i<wbs->WellborePropertyCount(); i++)
    addLeaf (leaf, wbs->NthRescueWellboreProperty (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueWellboreSampling *wbs)
{
  RescueExplorerPairs pairs;
  updateList (pairs);
}
